## org.hibernate.engine.transaction.synchronization.spi
Interface ManagedFlushChecker

All Superinterfaces:
  Serializable

    public interface ManagedFlushChecker

extends Serializable

A pluggable strategy for defining how the `Synchronization` registered by Hibernate determines whether to perform a managed flush. An exceptions from either this delegate or the subsequent flush are routed through the sister strategy `ExceptionMapper`.

Method Summary
`boolean` `shouldDoManagedFlush(TransactionCoordinator coordinator, int jtaStatus)` Check whether we should perform the managed flush

Method Detail

### shouldDoManagedFlush

    boolean shouldDoManagedFlush(TransactionCoordinator coordinator,
                                 int jtaStatus)

  Check whether we should perform the managed flush

  Parameters:
    `coordinator` - The transaction coordinator
    `jtaStatus` - The status of the current JTA transaction.
  Returns:
    True to indicate to perform the managed flush; false otherwise.

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.